Subject: bug#16815: 24.3.50; Provide completion for `describe-font' (enhancement request)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Nov 2019 19:25:16 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Drew Adams <[email-masked]>,  [email-masked]
> Date: Sat, 02 Nov 2019 17:23:01 +0100
> 
> I'm not sure I understand the objection here.  The form suggested by
> Drew just gets a list of font names -- it doesn't load anything, so it
> should be harmless?

A list of many hundreds of long strings is not cheap.  However, ...

> And the doc string of describe-font seems to be wrong.  You can ask it
> to describe a font that's not loaded.  Or at least it seems that way
> when I test it.  

... yes, you are right, sorry.  So please also fix the doc string of
describe-font and the comments inside it, and also the doc string of
font-info, which it calls.